Old 7th August 2015, 03:20   #1
Joel
Debian user
(Forum King)
 
Joel's Avatar
 
Join Date: Jan 2003
Location: Arch land
Posts: 4,917
Cool So, build a nsis plugin with vs2005 = linker dies x.x

Hi, people..been a while..so, you know back to my old habits, trying to update my plugin...get the new stuff....prepare the environment with
*vs2005 express edition
* platform sdk 2003 server R2

ok, compiling good
linking

I don't have libc.lib

Questions: Do I need to have pluginapi-x86-unicode.lib? Where can I found the source code to compile it with my environment? Does mingw32 users have a change to build my plugin?


* PC: Intel Core 2 DUO E6550 @ 2.33 GHz with 2 GB RAM: Archlinux-i686 with MATE.
* Laptop: Intel Core 2 DUO T6600 @ 2.20 GHz with 4 GB RAM: Archlinux-x86-64 with MATE.
Joel is offline   Reply With Quote
Old 7th August 2015, 04:36   #2
Joel
Debian user
(Forum King)
 
Joel's Avatar
 
Join Date: Jan 2003
Location: Arch land
Posts: 4,917
One less:
Quote:
Do I need to have pluginapi-x86-unicode.lib?
1.- Yes, I do. And I get rid of the libc.lib with /nodefault flag (y)


* PC: Intel Core 2 DUO E6550 @ 2.33 GHz with 2 GB RAM: Archlinux-i686 with MATE.
* Laptop: Intel Core 2 DUO T6600 @ 2.20 GHz with 4 GB RAM: Archlinux-x86-64 with MATE.
Joel is offline   Reply With Quote
Old 7th August 2015, 11:00   #3
Anders
Moderator
 
Anders's Avatar
 
Join Date: Jun 2002
Location: ${NSISDIR}
Posts: 5,166
You can grab pluginapi.c from here and just #include it, it works but is a bit of a hack

IntOp $PostCount $PostCount + 1
Anders is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Developer Center > NSIS Discussion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump